# QVM: Quaternions, Vectors, Matrices

### boost/qvm/map_vec_mat.hpp

This header file defines view proxies that access the elements of a given vector object as a matrix object.

### Synopsis:

#include <boost/qvm/map_vec_mat.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if: is_vec<A>::value
            template <iclass A>
            -unspecified-return-type- col_mat( A & a );

            //Only enabled if: is_vec<A>::value
            template <iclass A>
            -unspecified-return-type- row_mat( A & a );

            //Only enabled if: is_vec<A>::value
            template <iclass A>
            -unspecified-return-type- translation_mat( A & a );

            //Only enabled if: is_vec<A>::value
            template <iclass A>
            -unspecified-return-type- diag_mat( A & a );
        }
    }

See also: boost/qvm/map.hpp | col_mat | diag_mat | row_mat | translation_mat